> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Widget URL Without Configuration Options

> This endpoint returns a widget URL without configuration options.

Use this endpoint to request a widget URL without any configuration options. Each URL contains an embedded token that expires after ten minutes or when used, whichever comes first. A fresh URL must be obtained each time a page is loaded or reloaded.

See [Widget Types](/api-reference/sso/v3/reference/widget-urls/widget-types) for supported values.

<Info>
  Successful requests to this endpoint — regardless of the `widget_type` — automatically trigger aggregation for all members associated with the user.
</Info>

You may also pass an optional Accept-Language header.

<RequestExample>
  ```shell Request theme={null}
  curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls/master_widget.xml \
    -H 'Accept: application/vnd.moneydesktop.sso.v3+xml' \
    -H 'MD-API-KEY: {api_key}'
  ```
</RequestExample>

<ResponseExample>
  ```xml XML theme={null}
  <url>
    <url>https://widgets.moneydesktop.com/md/master/XXXXX</url>
    <type>master_widget</type>
    <user_id>unique-user-id</user_id>
  </url>
  ```

  ```json JSON theme={null}
  {  
     "url":{  
        "url":"https://widgets.moneydesktop.com/md/master/XXXXX",
        "type":"master_widget",
        "user_id":"unique-user-id"
     }
  }
  ```
</ResponseExample>
